Index: trunk/ab5.0/abdev/abdev/abdev.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/abdev.cpp	(revision 705)
+++ trunk/ab5.0/abdev/abdev/abdev.cpp	(revision 772)
@@ -196,5 +196,5 @@
 
 	if(MenuText){
-		SendMessage(hStatusBar,SB_SETTEXT,0,(long)MenuText);
+		SendMessage(hStatusBar,SB_SETTEXT,0,(LPARAM)MenuText);
 		if((char *)MenuText!=(char *)CmdMsg) CmdMsg[0]=0;
 	}
@@ -979,10 +979,10 @@
 	if( hDocCombo )
 	{
-		i=SendMessage(hDocCombo,CB_ADDSTRING,0,(long)str);
+		i=SendMessage(hDocCombo,CB_ADDSTRING,0,(LPARAM)str);
 		SendMessage(hDocCombo,CB_SETCURSEL,i,0);
 	}
 
 	//タブに追加
-	pobj_MainTab->InsertItem( str, true, TabColor );
+	pobj_MainTab->InsertItem( hChild, str, true, TabColor );
 
 	::SetFocus(hEdit);
@@ -1004,5 +1004,5 @@
 		}
 	}
-
+	UpdateWindow(hChild);
 	return hChild;
 }
@@ -1014,10 +1014,9 @@
 	//ドキュメントコンボボックスから文字列を消去
 	extern HWND hDocCombo;
-	i2=SendMessage(hDocCombo,CB_FINDSTRINGEXACT,0,(long)MdiInfo[WndNum]->title.c_str());
+	i2=SendMessage(hDocCombo,CB_FINDSTRINGEXACT,0,(LPARAM)MdiInfo[WndNum]->title.c_str());
 	SendMessage(hDocCombo,CB_DELETESTRING,i2,0);
 
 	//タブコントロールからアイテムを消去
 	if(pobj_MainTab) pobj_MainTab->DeleteItem( MdiInfo[WndNum]->title.c_str(), true );
-
 
 	if(IS_DOCUMENT_TEXT(MdiInfo[WndNum]->DocType)){
@@ -1151,4 +1150,5 @@
 		WebResultWndHeight);
 }
+
 LRESULT CALLBACK MDIClientWindow_TextEdit(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	int i,i2;
@@ -1157,45 +1157,47 @@
 	switch(message){
 		case WM_CREATE:
-			CREATESTRUCT *lpcs;
-			lpcs=(CREATESTRUCT *)lParam;
-			MDICREATESTRUCT *lpmcs;
-			lpmcs=(MDICREATESTRUCT *)lpcs->lpCreateParams;
-			SendMessage(hwnd,WM_SETICON,ICON_SMALL,(LPARAM)lpmcs->lParam);
-			break;
+			{
+				CREATESTRUCT *lpcs = (CREATESTRUCT *)lParam;
+				MDICREATESTRUCT *lpmcs = (MDICREATESTRUCT *)lpcs->lpCreateParams;
+				SendMessage(hwnd,WM_SETICON,ICON_SMALL,lpmcs->lParam);
+
+				break;
+			}
 		case WM_MDIACTIVATE:
-			//以前のMDIウィンドウのパラメータ ヒントを破棄する
-			if(MethodCheckInfo.hWnd){
-				DestroyWindow(MethodCheckInfo.hWnd);
-				MethodCheckInfo.hWnd=0;
-			}
-
-			//以前のコード補完リストを破棄する
-			if(ComplementWndInfo.hWnd){
-				DestroyWindow(ComplementWndInfo.hWnd);
-				ComplementWndInfo.hWnd=0;
-			}
-
-			if(!lParam) return 0;
-			i=GetWndNum((HWND)lParam);
-			if(i==-1) return 0;	//ウィンドウが初期状態の場合
+			{
+				//以前のMDIウィンドウのパラメータ ヒントを破棄する
+				if(MethodCheckInfo.hWnd){
+					DestroyWindow(MethodCheckInfo.hWnd);
+					MethodCheckInfo.hWnd=0;
+				}
+
+				//以前のコード補完リストを破棄する
+				if(ComplementWndInfo.hWnd){
+					DestroyWindow(ComplementWndInfo.hWnd);
+					ComplementWndInfo.hWnd=0;
+				}
+
+				if(!lParam) return 0;
+				i=GetWndNum((HWND)lParam);
+				if(i==-1) return 0;	//ウィンドウが初期状態の場合
 
 #ifndef THETEXT
-			//デバッガ メニューの状態を設定
-			pobj_Debugger->ResetCommandEnabled();
-#endif
-
-			//ドキュメント セレクト コンボボックス
-			extern HWND hDocCombo;
-			i2=SendMessage(hDocCombo,CB_FINDSTRINGEXACT,0,(long)MdiInfo[i]->title.c_str());
-			SendMessage(hDocCombo,CB_SETCURSEL,i2,0);
-
-			//タブコントロール
-			pobj_MainTab->MdiActiveEvent(MdiInfo[i]->title.c_str());
-
-			if( !projectInfo.IsOpened() ){
-				ResetClassTree((HTREEITEM)-1);
-			}
-
-			return 0;
+				//デバッガ メニューの状態を設定
+				pobj_Debugger->ResetCommandEnabled();
+#endif
+
+				//ドキュメント セレクト コンボボックス
+				extern HWND hDocCombo;
+				i2=SendMessage(hDocCombo,CB_FINDSTRINGEXACT,0,(LPARAM)MdiInfo[i]->title.c_str());
+				SendMessage(hDocCombo,CB_SETCURSEL,i2,0);
+
+				//タブコントロール
+				pobj_MainTab->MdiActiveEvent(MdiInfo[i]->title.c_str());
+
+				if( !projectInfo.IsOpened() ){
+					ResetClassTree((HTREEITEM)-1);
+				}
+				return 0;
+			}
 		case WM_SETFOCUS:
 			hEdit=GetWindow(hwnd,GW_CHILD);
@@ -1244,5 +1246,4 @@
 	switch(message)
 	{
-
 #ifndef THETEXT
 		case WM_SETCOMPILEVIEW:
@@ -1253,5 +1254,5 @@
 		case WM_DESTROYCOMPILEVIEW:
 			//コンパイラウィンドウ（埋め込み型）が破棄されたとき
-			if((int)hCompileView==-1){
+			if((LONG_PTR)hCompileView==-1){
 				//すぐに次のコンパイラウィンドウが起動するとき
 				hCompileView=0;
@@ -1260,5 +1261,5 @@
 				//完全にコンパイラウィンドウを閉じたときはリサイズ
 				hCompileView=0;
-				
+
 				ActiveBasic::IDE::Program::mainFrame.Resized();
 			}
@@ -1300,6 +1301,6 @@
 			static int start;
 
-			pos.x=(long)(short)LOWORD(lParam);
-			pos.y=(long)(short)HIWORD(lParam);
+			pos.x=GET_X_LPARAM(lParam);
+			pos.y=GET_Y_LPARAM(lParam);
 			ClientToScreen(hwnd,&pos);
 
@@ -1377,6 +1378,6 @@
 			return 0;
 		case WM_LBUTTONDOWN:
-			pos.x=LOWORD(lParam);
-			pos.y=HIWORD(lParam);
+			pos.x=GET_X_LPARAM(lParam);
+			pos.y=GET_Y_LPARAM(lParam);
 			ClientToScreen(hwnd,&pos);
 
@@ -1532,5 +1533,5 @@
 	if(!RegWndClass(SideWebProc,"SideWeb",(HBRUSH)COLOR_APPWORKSPACE+1,FLAG_DBLCLK)) return 0;
 
-	ActiveBasic::IDE::Program::Main();
+	ActiveBasic::IDE::Program::Main(hThisInst);
 
 	//return 0;
@@ -1553,5 +1554,5 @@
 	SetTimer(hOwner,ID_TIMER_BACKUP,10000,NULL);
 
-	SendMessage(hOwner,WM_SETICON,ICON_SMALL,(long)hOwnerIcon);
+	SendMessage(hOwner,WM_SETICON,ICON_SMALL,(LPARAM)hOwnerIcon);
 	SetClipboardViewer(hOwner);
 
@@ -1638,4 +1639,4 @@
 #endif
 
-	return msg.wParam;
-}
+	return static_cast<int>(msg.wParam);
+}
